Skip to content

Update a Quiz Question ​

Modify the properties of an existing question within a quiz.


Overview ​

This endpoint allows you to update configuration settings for a specific question in a quiz. Questions can only be modified in quizzes that have not yet started and where the question exists.

Method: PATCH
Endpoint:
/api/v1/namespaces/:namespaceId/quizzes/:quizId/questions/updateQuestion

Requires administrative authentication.


Request ​

Headers ​

http
x-api-key: {your_api_key}  # Required
Content-Type: application/json

Path Parameters ​

ParameterTypeRequiredDescription
namespaceIdstring✅Namespace unique ID
quizIdstring✅Quiz unique ID

Body Parameters ​

The request body should include an array of objects with the question ID and the required properties to update:

json
[
  {
    "questionId": "fin_health",
    "required": false
  }
]
ParameterTypeRequiredDescription
questionIdstring✅ID of the question to update
requiredboolean✅Whether the question is required (true) or optional (false)

Response ​

json
{
  "quiz": {
    "id": "c6fARMjW4E5l83umCovB",
    "name": "Employee Satisfaction Survey",
    "primaryColor": "#3366ff",
    "customCTA": {},
    "customCTAs": {},
    "customRecommendationCard": {},
    "customIntroScreen": {
      "customLogoUrl": null
    },
    "customOutroScreen": {},
    "createdOn": 1752737803343,
    "start": 1754006400000,
    "end": 1756684799000,
    "questions": [...],
    "anonymous": true,
    "inapp": false,
    "fhscore": false,
    "status": "queued",
    "disableEmailing": true,
    "emailedOn": null,
    "wasReminded": false,
    "lastDfUpdate": {
      "_seconds": 1752737803,
      "_nanoseconds": 343000000
    }
  }
}

Notes ​

  • Questions can only be modified in quizzes that have not yet started and where the question exists.